Get private locations
Base URL
https://{kibana_url}
GET
/api/synthetics/private_locations
Auth
Get a list of private locations.
You must have read privileges for the Synthetics and Uptime feature in the Observability section of the Kibana feature privileges.
Expand all
<array> object []
agentPolicyId
string
The ID of the agent policy associated with the private location.
geo
object
Geographic coordinates (WGS84) for the location.
+
Show 2 properties
lat
number
required
The latitude of the location.
lon
number
required
The longitude of the location.
id
string
The unique identifier of the private location.
isInvalid
boolean
Indicates whether the location is invalid. If true, the location is invalid, which means the agent policy associated with the location is deleted.
label
string
A label for the private location.
namespace
string
The namespace of the location, which is the same as the namespace of the agent policy associated with the location.
Thank you for your feedback.
Base URL
https://{kibana_url}
Examples
Request
Console
1 / 2 languages
‹
›
1
GET kbn:/api/synthetics/private_locations
Generated from the API spec
1
2
curl -X GET "${KIBANA_URL}/api/synthetics/private_locations" \
-H "Authorization: ApiKey ${API_KEY}"
Generated from the API spec
Response
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
[
{
"label": "Test private location",
"id": "fleet-server-policy",
"agentPolicyId": "fleet-server-policy",
"isInvalid": false,
"geo": {
"lat": 0,
"lon": 0
},
"namespace": "default"
},
{
"label": "Test private location 2",
"id": "691225b0-6ced-11ee-8f5a-376306ee85ae",
"agentPolicyId": "691225b0-6ced-11ee-8f5a-376306ee85ae",
"isInvalid": false,
"geo": {
"lat": 0,
"lon": 0
},
"namespace": "test"
}
]